clear all; close all, figure(10)
%note (1)lagrangian (2)Full deriv (3) partial cb2 version

resultfiles = {'Result_1to_X_1_Y_1_Y_1hmax_0.15_UDC_1000.mat'
               'Result_1to_X_0.63_Y_0.63_Y_1.26hmax_0.15_UDC_1000.mat'
               'Result_1to_X_0.34_Y_0.34_Y_1.71hmax_0.15_UDC_1000.mat'};
%                'Result_1to_X_0.22_Y_0.22_Y_2.15hmax_0.15_UDC_1000.mat'};

% load([resultfiles{1} '.mat'])


%% Iteration counter

load([resultfiles{1}])
remeshPoints = zeros(0,2);
ErrorSet = zeros(50,2);
for i = 1:2
%     detailinf{1}.NormUpdates, detailinf{2}.NormUpdates, detailinf{3}.NormUpdates
    figure(10)
    hold on
    Iters = size(detailinf{i}.NormUpdates,1);
    UpdateNos = find(detailinf{i}.NormUpdates > 0);
    NoOfUpdates = size(UpdateNos,1);
    Errors = log10(detailinf{i}.NormUpdates(UpdateNos));
    plot(1:NoOfUpdates,Errors);
    remeshPoints = [remeshPoints; 1,  Errors(1)];
    
    tempremeshnos = find(detailinf{i}.RemeshedAtIter(UpdateNos)>0);
    remeshPoints = [remeshPoints;tempremeshnos ,  Errors(tempremeshnos)];
    temp = [Errors;zeros(50,1)];
    ErrorSet(:,i) = temp(1:50,1);
    temp = [detailinf{i}.NormUpdates(UpdateNos);zeros(50,1)];
    NormSet(:,i) = temp(1:50,1);
end

plot(remeshPoints(:,1),remeshPoints(:,2),'k.','HandleVisibility','off')
legend({'Lagrangian','Master-Slave Ellimination','Remesh points'})
title({'Convergence of mesher : With MPC implimentaions','Updatecontrol = ' int2str(updateControl)})
xlabel('Newton Iteration')
ylabel('Norm(\Sigma(err))')



