clear all; close all; format compact;

syms t pi width height x1 y1 x y

F1x = width*cos(2*pi*t)-x;
F1y = height*sin(2*pi*t)-y;


dxdt = diff(F1x,t)
dydt = diff(F1y,t)

Pvec = [(x1-x), (y1-y)];

grad = [dxdt dydt]


[F1xT, a,params] = solve(F1x,t,'ReturnConditions',true)

FuncT = solve(F1y,t)

Pdot = dxdt*(x1-(F1x+x))+dydt*(y1-(F1y+y))