close all;
clc;
clear all;

figure(1), hold on;

myfunc = EllipseFunction1;

myfunc.Params = [0.5 1];

scales = myfunc.Params;

p = [1.5,1.5];

XX = myfunc.plot;
plot(XX(:,1),XX(:,2))
plot(p(:,1),p(:,2),'b*')

pout = myfunc.ClosestPoint(p);
plot(pout(:,1),pout(:,2),'r*')

myfunc.Params = [1 1];
p1 = p./scales;

pout2 = p1./norm(p1);
pout2trans = pout2.*scales;
plot(pout2trans(:,1),pout2trans(:,2),'r*')


myfunc.Params = scales;
grad = myfunc.dF(pout);

pout2trans = [pout; pout+grad];
plot(pout2trans(:,1),pout2trans(:,2),'-g')






