clear all; close all, figure(10)
%note (1)lagrangian (2)Full deriv (3) partial cb2 version

resultfiles = { 'Result_X_0.5_Y_2_Z_2hmax_0.15_UDC_1.mat'
%                 'Result_X_0.5_Y_2_Z_2hmax_0.15_UDC_1000.mat'
                'Result_X_0.5_Y_2_Z_2hmax_0.15_UDC_5.mat'
                'Result_X_0.5_Y_2_Z_2hmax_0.15_UDC_20.mat'};

% load([resultfiles{1} '.mat'])


%% Iteration counter


remeshPoints = zeros(0,2);

    load([resultfiles{1}])
    ErrorSet = zeros(50,2);
    
    for i = 1:1
        %     detailinf{1}.NormUpdates, detailinf{2}.NormUpdates, detailinf{3}.NormUpdates
        figure(10)
        hold on
        Iters = size(detailinf{i}.NormUpdates,1);
        UpdateNos = find(detailinf{i}.NormUpdates > 0);
        NoOfUpdates = size(UpdateNos,1);
        Errors = log10(detailinf{i}.NormUpdates(UpdateNos));
        plot(1:NoOfUpdates,Errors);
        remeshPoints = [remeshPoints; 1,  Errors(1)];
        
        tempremeshnos = find(detailinf{i}.RemeshedAtIter(UpdateNos)>0);
        remeshPoints = [remeshPoints;tempremeshnos ,  Errors(tempremeshnos)];
        temp = [Errors;zeros(50,1)];
        ErrorSet(:,i) = temp(1:50,1);
        temp = [detailinf{i}.NormUpdates(UpdateNos);zeros(50,1)];
        NormSet(:,i) = temp(1:50,1);
    end
    

for j = 1:size(resultfiles,1)
    load([resultfiles{j}])
    ErrorSet = zeros(50,2);
    
    for i = 2:2
        %     detailinf{1}.NormUpdates, detailinf{2}.NormUpdates, detailinf{3}.NormUpdates
        figure(10)
        hold on
        Iters = size(detailinf{i}.NormUpdates,1);
        UpdateNos = find(detailinf{i}.NormUpdates > 0);
        NoOfUpdates = size(UpdateNos,1);
        Errors = log10(detailinf{i}.NormUpdates(UpdateNos));
        plot(1:NoOfUpdates,Errors);
        remeshPoints = [remeshPoints; 1,  Errors(1)];
        
        tempremeshnos = find(detailinf{i}.RemeshedAtIter(UpdateNos)>0);
        remeshPoints = [remeshPoints;tempremeshnos ,  Errors(tempremeshnos)];
        temp = [Errors;zeros(50,1)];
        ErrorSet(:,i) = temp(1:50,1);
        temp = [detailinf{i}.NormUpdates(UpdateNos);zeros(50,1)];
        NormSet(:,i) = temp(1:50,1);
    end
    
end






plot(remeshPoints(:,1),remeshPoints(:,2),'k.','HandleVisibility','on')
legend({'Lagrangian','Master-Slave Elim. \alpha = 1','Master-Slave Elim. \alpha = 5*','Master-Slave Elim. \alpha = 20*','Master-Slave Elim. \alpha = 0.5','Remesh points'})
title({'Convergence of mesher : With MPC implimentaions','Updatecontrol = ' int2str(updateControl)})
xlabel('Newton Iteration')
ylabel('Norm(\Sigma(err))')



