%MESHDEMO2d Distmesh2d examples.
clear all;   format short; format compact;

close all;
% clc;
rand('state',1); % Always the same results this is important for evaluating the methods against each other.
set(gcf,'renderer','opengl');

fstats=@(p,t) fprintf('%d nodes, %d elements, min quality %.2f\n', ...
    size(p,1),size(t,1),min(simpqual(p,t)));

fprintf('Mesh on ellipse');
% echo on

%% Cb2 FIXED Points on surface

pfix = zeros(0,3);
pmpc = zeros(0,3);

tic
tol = 10^-5;

%% Function assignment

% fdFunc = EllipseFunction3_3d;
fdFunc = EllipseFunction6_3d;



tic;
%% Element size distributions
% h_max = .2;
% h_min = .02;
Hmaxs = [0.2 0.15 0.125 0.1 0.08 0.075 0.07 0.065]';
% Counters = [1 2 3 4 5 6]';
Hmaxs = [0.07 0.065]';
for i = 1:size(Hmaxs,1)
%     filecounter = Counters(i,1);
    h_max = Hmaxs(i,1);
    %     h = @(p) hcircleout(p,h_max,h_min); % gauss
    %     h = @(p) hradialgenerator(p,h_max,h_min); % gauss
    h = @(p) huniform(p,h_max,h_min); h_min = h_max;% easiest to solve
    
%     a.p = @hradialgenerator2linearMeshGrowth_3d;
    % a.p = @hradialgenerator2linear_3d;
    % h = @(p) a.p(p,h_max,h_min); %linear  Best variable version
    
    %% Mesh run
    
    % [p,t,its]=CB_distmesh2d_mpc(fdFunc,h,h_max,h_min,bounds,pfix,pmpc,tol,1);
    A = rand(3,3);
    b = rand(3,1);
    x = A\b;
    
    HW = [1 1 1];
    
    h = @(p) huniform(p,h_max,h_min);h_min = h_max;
    
    %     HWactual = HWactual(5:end,:);
    %     HW = HW(6:6,:);
    updateControl = 1000;

    percents = [000 020 040 060 080 100];
% percents = 20
    for Percentage = percents
         
            fdFunc.Params = HW(1,:);
            pfix = fdFunc.pfix(h_max);
            bounds = fdFunc.pbounds;
            %         savestring1 = ['X_',num2str(round(fdFunc.Xscale,2)),'_Y_',num2str(round(fdFunc.Xscale,2)),'_Y_',num2str(round(fdFunc.Zscale,2)),'hmax_',num2str(round(h_max,2))]
            
            for MPCType = 1:1
                rand('state',1) %Reset rand state so each one has same start point
                tic
                [p,t,its,detailinf]=   CB_distmesh3d_mpc_2(fdFunc,h,h_max,h_min,bounds,pfix,pmpc,tol,MPCType,updateControl,Percentage);
                perc = ['000' int2str(Percentage)];
                nps =  ['000000' int2str(size(p,1))];
                savestring = ['P_' nps(end-5:end) '_Bars_' int2str(detailinf.NoBars) '_PerMPC_' perc(end-2:end) '_Hmax_' num2str(h_max)]
%                 detailinf{MPCType}.p = p;
%                 detailinf{MPCType}.t = t;
%                 detailinf{MPCType}.its = its;
                
%                 figure(10+MPCType)
                %         simpplot(p,t,'p(:,2)>0');
%                 simpplot(p,t,'');
                time = toc;
                qual = simpqual(p,t,1);
                qual = min(qual);
                Vals(MPCType,:) = [MPCType, its, time, qual, time/its];
            end
%             
%             figure(71)  
%             savefig([savestring, '_Lag.fig'])
%             
%             figure(72)
%             savefig([savestring, '_MSE.fig'])
%                         
            save([savestring '.mat'])
            close all

    end
end
% Vals