clear all; close all;

syms x y a b x1 y1 s

F = x^2/a+y^2/b-1;

FuncY = solve(F,y); %2 Solutions, one above and one below

FuncY = s*FuncY(1);
dydx = diff(FuncY,x);

p = [x, FuncY];

grad = [1, dydx];

p1 = [x1 y1];

PVec = simplify(p1 - p);

% Pdot = grad(1,1)*PVec(1,1) + grad(1,2)*PVec(1,2)
% Pdotsim = solve(Pdot,x,'ReturnConditions',true)


dFdx = diff(F,x)
dFdy = diff(F,y)

dydx2 = dFdx/dFdy