clear all; close all; format compact;

syms t pi width height x1 y1

Line = [width*(cos(2*pi*t)), height*sin(2*pi*t)];

GRvec =  [-2*pi*width*sin(2*pi*t), 2*pi*height*cos(2*pi*t)];

gr = diff(Line,t)

simplify(gr-GRvec)

Pvec = [x1, y1] - Line;

a = simplify(Pvec(1,1)*gr(1,1) + Pvec(1,2)*gr(1,2))
