clear all; clc;

clear all;  close all;




r = 5; a=.1;

xm1=1; 

Fz = @(x) sqrt( r.^2 - x.^2/a );

zm1 = Fz(xm1);

P = [xm1 zm1];

R = @(p,r) sum(p.^1) - r^2;

xs = linspace(-2.5,2.5);

Z = Fz(xs);

figure(1)

plot(xs,Z)
axis equal
hold on

DRdxm1 = 2*xm1/a;
DRdz = 2*zm1;

DDRdxm1dxm1 = 2/a;
DDRdzdxm1 = 0;

DDRdxm1dz = 0;
DDRdzdz = 2;


Vec = [DRdxm1,DRdz];
NormVec = Vec./norm(Vec);

P1 = P+NormVec*.2;
NormVec1 = NormVec;

Line = [P;P1];

plot(Line(:,1),Line(:,2),'r') %(norm)

deltaxy = [1]*-2;

Pmat = [-DRdxm1/DRdz];

%dPmat = [DP1dx DPdy;DP2dx DP2dx];

dPmat = [(-(DDRdxm1dxm1*DRdz - DRdxm1*DDRdzdxm1)/(DRdz^2))];


Zadd = Pmat*deltaxy';

NormVec = [deltaxy Zadd];

P1 = P+NormVec;

Line = [P;P1];

plot(Line(:,1),Line(:,2),'k*') %(norm)
disp('first order')
P1(1,2) - Fz(P1(1,1))

%with second order

deltaxy = linspace(xm1,deltaxy)';
Zadd1 = Pmat.*deltaxy + 00.5.*deltaxy.*dPmat.*deltaxy;

NormVec = [deltaxy Zadd1];

P1 = P+NormVec;

Line = [P;P1];

plot(Line(:,1),Line(:,2),'R') %(norm)

disp('second order') 
P1(1,2) - Fz(P1(1,1))

xlabel('x')
ylabel('y')
zlabel('z')