clear all; clc; close all;

syms XX YY ZZ y z a b c Xscale Yscale Zscale

% x = (-a^2*((y/b)^2+(z/c)^2 - 1))^0.5
% 
% dxdy = simplify(diff(x,y))
% dxdz = simplify(diff(x,z))
% 
% ddxdydy = simplify(diff(dxdy,y))
% ddxdydz = simplify(diff(dxdy,z))
% ddxdzdy = simplify(diff(dxdz,y))
% ddxdzdz = simplify(diff(dxdz,z))

R = ((Yscale*Zscale*XX)^2 + (Xscale*Zscale*YY)^2 + (Xscale*Yscale*ZZ)^2)^0.5 - Xscale*Yscale*Zscale
dRdx = simplify(diff(R,XX))
dRdy = simplify(diff(R,YY))
dRdz = simplify(diff(R,ZZ))

ddRdxdx = simplify(diff(dRdx,XX))
ddRdxdy = simplify(diff(dRdx,YY))
ddRdxdz = simplify(diff(dRdx,ZZ))

ddRdydx = simplify(diff(dRdy,XX))
ddRdydy = simplify(diff(dRdy,YY))
ddRdydz = simplify(diff(dRdy,ZZ))

ddRdzdx = simplify(diff(dRdz,XX))
ddRdzdy = simplify(diff(dRdz,YY))
ddRdzdz = simplify(diff(dRdz,ZZ))