% clc;clear all; close all; format compact
% 
% syms x y a b
% 
% R = x^2/a^2+y^2/b^2 - 1;
% 
% dRdx = diff(R,x)
% dRdy = diff(R,y)
% 
% dydx = dRdx/dRdy
% 
% 
% gr = [1/dRdy 1/dRdx]


clc;clear all; close all; format compact

a = 1; b= 1;


y1 = @(x) (b*(a + x).^(1/2).*(a - x).^(1/2))./a;
y2 = @(x) -(b*(a + x).^(1/2).*(a - x).^(1/2))./a;

x = [linspace(-a,a,100)'];

Y = [y1(x); y2(flipud(x))];
X = [x;flipud(x)];

plot(X,Y)
hold on

axis equal


